Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.viewer.configure
Class ConfigurationManager

    java.lang.Object
      org.apache.log4j.lf5.viewer.configure.ConfigurationManager

    public class ConfigurationManager

extends java.lang.Object

ConfigurationManager handles the storage and retrival of the state of the CategoryExplorer

Author:
  Richard Hurst, Brad Marlborough

Constructor Summary
`ConfigurationManager(LogBrokerMonitor monitor, LogTable table)`

Method Summary
`protected void` | `collapseTree()`
`protected void` | `deleteConfigurationFile()`
`protected java.lang.String` | `getFilename()`
`protected java.lang.String` | `getValue(org.w3c.dom.NamedNodeMap map, java.lang.String attr)`
`protected void` | `load()`
`protected void` | `processCategories(org.w3c.dom.Document doc)`
`protected void` | `processLogLevelColors(org.w3c.dom.Document doc)`
`protected void` | `processLogLevels(org.w3c.dom.Document doc)`
`protected void` | `processLogTableColumns(org.w3c.dom.Document doc)`
`protected void` | `processRecordFilter(org.w3c.dom.Document doc)`
`void` | `reset()`
`void` | `save()`
`protected void` | `selectAllNodes()`
`protected void` | `store(java.lang.String s)`
`static java.lang.String` | `treePathToString(javax.swing.tree.TreePath path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationManager

    public ConfigurationManager(LogBrokerMonitor monitor,
                                LogTable table)

Method Detail

### save

    public void save()

### reset

    public void reset()

### treePathToString

    public static java.lang.String treePathToString(javax.swing.tree.TreePath path)

### load

    protected void load()

### processRecordFilter

    protected void processRecordFilter(org.w3c.dom.Document doc)

### processCategories

    protected void processCategories(org.w3c.dom.Document doc)

### processLogLevels

    protected void processLogLevels(org.w3c.dom.Document doc)

### processLogLevelColors

    protected void processLogLevelColors(org.w3c.dom.Document doc)

### processLogTableColumns

    protected void processLogTableColumns(org.w3c.dom.Document doc)

### getValue

    protected java.lang.String getValue(org.w3c.dom.NamedNodeMap map,
                                        java.lang.String attr)

### collapseTree

    protected void collapseTree()

### selectAllNodes

    protected void selectAllNodes()

### store

    protected void store(java.lang.String s)

### deleteConfigurationFile

    protected void deleteConfigurationFile()

### getFilename

    protected java.lang.String getFilename()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.